# Kaltura Chunked File Upload using jQuery
Based on blueimp/jQuery-File-Upload library, this upload widget provides JavaScript based chunked upload with pause-and-resume and automatic optimization of file chunk size. Use this widget to implement a Kaltura file upload workflow in your web based applications.

If you don't yet have a Kaltura Account, [**Regiter here for your Kaltura VPaaS Account**](https://vpaas.kaltura.com/register).

# Documentation and guides
* [Kaltura Developer Guides](https://vpaas.kaltura.com/documentation/01_VPaaS-API-Getting-Started/Getting-Started-VPaaS-API) 
* [Kaltura API Docs](https://developer.kaltura.com)
* [Kaltura Code Recipes](https://developer.kaltura.com/recipes/)

# Project Specific Sections and Information
This JavaScript project can be used as reference or basis to implementing your own reliable chunked file upload to Kaltura.  
To quickly see how it works, simply download the project to your localhost, edit index.php and switch the value of `$the_user_ks_to_use` to a valid Kaltura Session, then load the page from your localhost, open your browser console and try uploading a file. You'll see all the steps printed to the browser console.

# How you can help (guidelines for contributors) 
Thank you for helping Kaltura grow! If you'd like to contribute please follow these steps:
* Use the repository issues tracker to report bugs or feature requests
* Read [Contributing Code to the Kaltura Platform](https://github.com/kaltura/platform-install-packages/blob/master/doc/Contributing-to-the-Kaltura-Platform.md)
* Sign the [Kaltura Contributor License Agreement](https://agentcontribs.kaltura.org/)

# Where to get help
* Join the [Kaltura Community Forums](https://forum.kaltura.org/) to ask questions or start discussions
* Read the [Code of conduct](https://forum.kaltura.org/faq) and be patient and respectful

# Get in touch
You can learn more about Kaltura and start a free trial at: http://corp.kaltura.com    
Contact us via Twitter [@Kaltura](https://twitter.com/Kaltura) or email: community@kaltura.com  
We'd love to hear from you!

# License and Copyright Information
All code in this project is released under the [MIT license](https://opensource.org/licenses/MIT) unless a different license for a particular library is specified in the applicable library path.   

Copyright © Kaltura Inc. All rights reserved.   
Authors and contributors: See [GitHub contributors list](https://github.com/kaltura/mwEmbed/graphs/contributors).  

### Open Source Libraries
Review the [list of Open Source 3rd party libraries](open-source-libraries.md) used in this project.
